*{
    padding: 0;
    margin: 0;
    font-family: "Poppins", sans-serif;
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;
}
body{
    background: #080808;
    color: #fff;
}
#header{
    width: 100%;
    height: 100vh;
    background: url(images/Capture.PNG);
    background-size: cover;
    background-position: center;
}
.container{
    padding: 10px 10%;
}
nav{
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}
.logo{
    font-size: 60px;
    font-weight: 600;
    color: #fff;
}
.logo span{
    color: #ff004f;
}
nav ul li {
    display: inline-block;
    list-style: none;
    margin: 10px 20px;
}
nav ul li a{
    color: #256;
    text-decoration: none;
    font-size: 20px;
    position: relative;
    font-weight: 200;
}
nav ul li a::after{
    content: '';
    width: 0;
    height: 3px;
    background: #ff004f;
    position: absolute;
    left: 0;
    bottom: -6px;
    transition: 0.5s;
}
nav ul li a:hover::after{
    width: 100%;
}
.header-text{
    margin-top: 20%;
    font-size: 30px;
}
.header-text h1{
    font-size: 60px;
    margin-top: 20px;
}
.header-text h1 span{
    color: #ff004f;
}


/* ---------- about ------------ */


.about{
    padding: 80px 0;
    color: #ababab;
  }
  .row{
      display: flex;
      justify-content: space-between;
      flex-wrap: wrap;
  }
  .about-col-1{
      flex-basis: 35%
  }
  .about-col-1 img{
      width: 100%;
      border-radius: 15px;
  }
  .about-col-2{
      flex-basis: 60%;
      position: relative;
  }
  .sub-title{
      font-size: 60px;
      font-weight: 600;
      color: #fff;
  }
  .tab-titles{
      display: flex;
      margin: 20px 0 40px;
  }
  .tab-links{
      margin-right: 50px;
      font-size: 18px;
      font-weight: 500;
      cursor: pointer;
      position: relative;
  }
  .tab-links::after{
      content: '';
      width: 0;
      height: 3px;
      background: #ff004f;
      position: absolute;
      left: 0;
      bottom: -6px;
      transition: 0.5s;
  }
  .tab-links.active-link::after{
      width: 100%;
  }
  .tab-contents ul li{
      list-style: none;
      margin: 10px 0;
  }
  .tab-contents ul li span{
      color: #ff004f;
      font-size: 14px;
  }
  .tab-contents{
      display: none;
  }
  .tab-contents.active-tab{
      display: block;
  }


  
/* ---------- serices ------------ */


#services{
    padding: 30px 0;
}
.services-list{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 40px;
    margin-top: 50px;
}
.services-list div{
    background: #262626;
    padding: 50px;
    font-size: 13px;
    font-weight: 300;
    border-radius: 10px;
    transition: background 0.5s, transform 0.5s;
}
.services-list div img{
    width: 25%;
    margin-bottom: 30px;
}
.services-list div h2{
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 15px;
}
.services-list div a{
    text-decoration: none;
    color: #fff;
    font-size: 12px;
    margin-top: 20px;
    display: inline-block;
}
.services-list div:hover{
    background: #ff004f;
    transform: translateY(-10px);
}


/*------ portfolio -------*/


.portfolio{
    padding: 50px 0;
}
.work-list{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 40px;
    margin-top: 50px;
}
.work{
    width: 90%;
    height: 65%;
    border-radius: 10px;
    position: relative;
    overflow: hidden;
}
.work img{
    width: 100%;
    border-radius: 10px;
    height: 100%;
    display: block;
    transition: transform 0.5s;
}
.layer{
    width: 100%;
    height: 0;
    background: linear-gradient(rgba(0,0,0, .6), #ff004f);
    border-radius: 10px;
    position: absolute;
    left: 0;
    bottom: 0;
    overflow: hidden;
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding: 0 40px;
    text-align: center;
    font-size: 14px;
    align-items: center;
}
.layer h3{
    font-weight: 700;
    font-size: 20px;
    margin-bottom: 20px;
}
.layer a{
    margin-top: 20px;
    text-decoration: none;
    line-height: 60px;
    width: 50px;
    height: 50px;
    background: rgba(256,256,256, 0.5);
    backdrop-filter: blur(300px);
    align-items: center;
    padding: 8px 8px;
    border-radius: 50px;
    border: 2px solid #ff004f;
    transition: height 0.5s;
}
.layer a img{
    width:30px ;
    margin-left: 5%;
    background: transparent ;

}
.layer a:hover{
    margin-top: 25px;
}
.work:hover img{
    transform: scale(1.1);
}
.work:hover .layer{
    height: 100%;
}
.btn{
    height: 50px;
    display: block;
    width: 20%;
    border: 1px solid #ff004f;
    padding: 14px 50px;
    border-radius: 6px;
    text-align: center;
    text-decoration: none;
    color: #fff;
    margin-left: 40%;
    margin-top: -8%;
    transition: background 0.5s;
}
.btn:hover{
    background: #ff004f;
}



/* -----------contact---------*/

.rows{
    display: grid;
    grid-template-columns: 1fr 2fr;
}
.contact-left{
    flex-basis: 35%;
}
.contact-right{
    flex-basis: 60%;
}


.contact-left p{
    margin-top: 30px;
}
.contact-left .social-icons{
    margin-top: 15px;
}
.contact-left .social-icons a img{
    width: 40px;
    gap: 40px;
}
.btn.btn2{
    display: inline-block;
    background: #ff004f;
    width: 45%;
    margin-top:30px ;
    margin-left: 0;
    cursor: pointer;
}
.btn.btn2:hover{
    box-shadow: 4px 6px 8px inset #f74dad,
    2px 2px 6px inset #f74dad,
    -2px 0px 4px inset #f74dad;
}

.contact-right form{
    width: 100%;
}
form input, form textarea{
    width: 100%;
    border: 0;
    outline: none;
    background-color: #262626;
    padding: 15px;
    margin: 15px 0;
    color: #fff;
    border: 6px;
    font-size: 18px;
}
.copyright{
    width: 100%;
    text-align: center;
    padding: 25px 0;
    background-color: #262626;
    font-weight: 300;
    margin-top: 20px;
}

.fas{
    display: none;
}


/*------ css for small screens ------*/
@media only screen and (max-width: 600px){
    #header{
        width: 100%;
        height: auto;
        background: url(images/phoneSize.PNG)no-repeat;
        background-size: cover;
    }
    .header-text{
        margin-top: 90%;
        font-size: 16px;
    }
    .header-text h1{
        font-size: 30px;
    }
    .fas{
        display: block;
        font-size: 25px;
    }
    nav ul{
        background: #ff004f;
        position: fixed;
        top: 0;
        right: -200px;
        width: 200px;
        height: 100vh;
        padding-top: 50px ;
        z-index: w;
    }
    nav ul li{
        display: block;
        margin: 25px;
    }
    nav ul .fas{
        position: absolute;
        top: 25px;
        left: 25px;
        cursor: pointer;
    }
    nav ul li a{
        color: #fff;
    }
    .sub-title{
        font-size: 40px;
    }
    .about-col-1, .about-col-2{
        flex-basis: 100%;
    }
    .about-col-1{
        margin-bottom: 30px;
    }
    .about-col-2{
        font-size: 14px;
    }.tab-links{
        font-size: 16px;
        margin-right: 20px;
    }
    .contact-left, .contact-right{
        flex-basis: 100%;
    }
    .copyright{
        font-size: 14px;
    }
    .work{
        width: 50%;
    }
    .btn{
        width: 60%;
        height: 5%;
        margin-left: 7%;
    }
}
